<?php
function sysmsg($msg = '未知的异常',$title = '站点提示信息',$exit=1) {
    ?>
<!doctype html>
<html class="no-js">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title><?php echo $title?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp" />
    <link rel="icon" type="image/png" href="/assets/amazeui/i/favicon.png">
    <link rel="apple-touch-icon-precomposed" href="/assets/amazeui/i/app-icon72x72@2x.png">
    <link rel="stylesheet" href="/assets/amazeui/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/assets/amazeui/css/admin.css">
</head>
<body>

<div class="am-cf admin-main">

    <!-- content start -->
    <div class="admin-content">

        <div class="am-g">
            <div class="am-u-sm-12">
                <h2 class="am-text-center am-text-xxxl am-margin-top-lg"><?=$title?></h2>
                <p class="am-text-center"><?=$msg?></p>
                <pre class="page-404">
          .----.
       _.'__    `.
   .--($)($$)---/#\
 .' @          /###\
 :         ,   #####
  `-..__.-' _.-\###/
        `;_:    `"'
      .'"""""`.
     /,  ya ,\\
    //  BUG!  \\
    `-._______.-'
    ___`. | .'___
   (______|______)
<div style="text-align: center;">
听说这小狗有名字？
叫...旺财？来着?<!--tel:13836752538,别真打啊，不然她会弄死我的-->
(这里似乎还有彩蛋...)
</div>
        </pre>
            </div>
        </div>
    </div>
    <!-- content end -->

</div>


<!--[if lt IE 9]>
<script src="http://libs.baidu.com/jquery/1.11.1/jquery.min.js"></script>
<script src="http://cdn.staticfile.org/modernizr/2.8.3/modernizr.js"></script>
<script src="/assets/amazeui/js/amazeui.ie8polyfill.min.js"></script>
<![endif]-->

<!--[if (gte IE 9)|!(IE)]><!-->
<script src="/assets/amazeui/js/jquery.min.js"></script>
<!--<![endif]-->
<script src="/assets/amazeui/js/amazeui.min.js"></script>
<script src="/assets/amazeui/js/app.js"></script>
</body>
</html>
<?php
    if ($exit==1) {
        exit();
    }
}

function alert($msg){
    echo "<script>";
    echo "alert('".$msg."')";
    echo "</script>";
}

function go($url){
    if($url=='-1'){
        $url=$_SERVER['HTTP_REFERER'];
    }
    echo "<meta http-equiv='refresh' content ='0;url=$url'>";
}

function is_email($email)
{
    $pattern = "/^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/";
    if (preg_match($pattern, $email)) {
        return 1;
    } else {
        return 0;
    }
}

function is_mobile($phonenumber){
    if(preg_match("/^1[3456789]{1}\d{9}$/",$phonenumber)){
        return 1;
    }else{
        return 0;
    }
}

function is_eid($eid){
    if(preg_match("/^[0-9]{14,18}$/",$eid)){
        return 1;
    }else{
        return 0;
    }
}